   
      SUBROUTINE R_NK_pro(N,K,Matr_NK,Matr_pro)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_pro.f :: it take as input 2 INTEGER numbers N and K and a NxKxNxK REAL
C     matrix and return as output the same matrix, now of dimension (N*K)x(N*K).
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_NK(N*K,N*K), Matr_pro(K,N,K,N)
	
      Matr_pro=RESHAPE(Matr_NK,(/K,N,K,N/),(/0.,0./),(/2,1,4,3/))

      RETURN
      END